<?php
// on teste le serveur pour savoir si on est en local (localhost)
if (getenv("HTTP_HOST") == "localhost" || getenv("HTTP_HOST") == "127.0.0.1") 
{
	$bdd = new PDO('mysql:host=localhost; dbname=acropole','root','');
	$bdd->exec('SET NAMES utf8');
	$database='acropole';
	$racine = 'http://localhost/acropole/';
}
else
{
	$bdd = new PDO('mysql:host=localhost; dbname=matcacic_acropole','matcacic_mardoch','azerty@H#1');
	$bdd->exec('SET NAMES utf8');
	$database='matcacic_acropole';
	$racine = 'http://acropole.2tmultimedia.com/';
	// ETAPE 1 : on vérifie si l'IP se trouve déjà dans la table
	// Pour faire ça, on n'a qu'à compter le nombre d'entrées dont le champ "ip" est l'adresse ip du visiteur
	$sql = 'SELECT count(*) as nbr
	FROM visiteur
	WHERE adress_ip="'.$_SERVER['REMOTE_ADDR'].'" AND time>'.(time()-4*60*60).'';
	$reponse=$bdd-> query($sql) or die('Erreur SQL !<br />'.$sql.'<br />'.mysql_error());
	$data =$reponse->fetch();
	// durée maximale de connexion=4 heures echo date ('Y/m/d H:i:s',(time()-14400));
	if ($data['nbr'] == 0) // L'ip ne se trouve pas dans la table, on va l'ajouter
	{
		$req = 'INSERT INTO visiteur VALUES (NULL, "'.$_SERVER['REMOTE_ADDR'].'", "'.time().'", "'.date('Y-m-d H:i:s').'", "'.date('Y-m').'", "'.date('Y-m-d').'")';
		$reponse=$bdd-> query($req) or die('Erreur SQL !<br />'.$req.'<br />'.mysql_error());
	}
}
// ETAPE 3 : on compte le nombre d'ip stockées dans la table. C'est le nombre de visiteurs connectés
$sql6 = 'SELECT COUNT(*) as nbr FROM visiteur';
$reponse6=$bdd-> query($sql6) or die('Erreur SQL !<br />'.$sql6.'<br />'.mysql_error());
$data6=$reponse6->fetch();
$visiteur=$data6['nbr'];
date_default_timezone_set('GMT');
//date_default_timezone_set('Africa/Abidjan');
?>